Bug 185209 - bluez-pin dbus errors
bluez-pin dbus errors
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bluez-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-11 15:39 EST by Jason Tackaberry
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-10 05:39:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Tackaberry 2006-03-11 15:39:28 EST
When using bluez-pin via dbus (manually started bluez-pin --dbus for now; see
related bug 185208) and attempting to pair with a device, I get the following in
the syslog:

Mar 11 15:39:55 caladan hcid[24662]: pin_code_request (sba=00:14:A4:D4:CE:99,
dba=00:0F:86:26:BF:9B)
Mar 11 15:39:55 caladan hcid[24662]: org.bluez.Error.WrongArgs: Byte array
expected, other type given

and the following outputted by bluez-pin:

24678: arguments to dbus_message_iter_get_fixed_array() were incorrect,
assertion "(subtype == DBUS_TYPE_INVALID) || dbus_type_is_fixed (subtype)"
failed in file dbus-message.c line 1743.
This is normally a bug in some application using the D-BUS library.

Consequently I cannot properly pair a device using the default configuration for
hcid.  If I edit hcid.conf and change:

    # PIN helper
    #pin_helper /usr/bin/bluepin;

    # D-Bus PIN helper
    dbus_pin_helper;

to this:

    # PIN helper
    pin_helper /usr/bin/bluepin;

    # D-Bus PIN helper
    #dbus_pin_helper;

(i.e. bypass dbus) then I am properly prompted for a passkey.
Comment 1 David Woodhouse 2006-09-10 05:39:47 EDT
bluez-utils failed to keep up with dbus and its ever-changing API. I think
they're (at least briefly) in sync now.

Note You need to log in before you can comment on or make changes to this bug.